#!/bin/bash
cores=$(nproc)
workers=$((cores * WORKERS_PER_CORE))
if [ $workers -gt $MAX_WORKERS ]; then
    workers=$MAX_WORKERS
fi
exec gunicorn app:app -k uvicorn.workers.UvicornWorker -w $workers --bind 0.0.0.0:8000
